MPI_Group_incl(3)

NAME
MPI_Group_incl - Produces a group by reordering an existing group and taking only listed members.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Group_incl(MPI_Group group, int n, const int ranks[],
	MPI_Group *newgroup)

Fortran Syntax
USE MPI
! or the older form: INCLUDE 'mpif.h'
MPI_GROUP_INCL(GROUP, N, RANKS, NEWGROUP, IERROR)
	INTEGER	GROUP, N, RANKS(*), NEWGROUP, IERROR

Fortran 2008 Syntax
USE mpi_f08
MPI_Group_incl(group, n, ranks, newgroup, ierror)
	TYPE(MPI_Group), INTENT(IN) :: group
	INTEGER, INTENT(IN) :: n, ranks(n)
	TYPE(MPI_Group), INTENT(OUT) :: newgroup
	INTEGER, OPTIONAL, INTENT(OUT) :: ierror

C++ Syntax
#include <mpi.h>
Group Group::Incl(int n, const int ranks[]) const

INPUT PARAMETERS

group
    Group (handle).

n   Number of elements in array ranks (and size of newgroup)(integer).

ranks
    Ranks of processes in group to appear in newgroup (array of integers).

OUTPUT PARAMETERS

newgroup
    New group derived from above, in the order defined by ranks (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
The function MPI_Group_incl creates a group group_out that consists of the n processes in group with ranks rank[0], ..., rank[n-1]; the process with rank i in group_out is the process with rank ranks[i] in group. Each of the n elements of ranks must be a valid rank in group and all elements must be distinct, or else the program is erroneous. If n = 0, then group_out is MPI_GROUP_EMPTY. This function can, for instance, be used to reorder the elements of a group.

NOTE
This implementation does not currently check to ensure that there are no duplicates in the list of ranks.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Group_compare
MPI_Group_range_incl
MPI_Group_free